Package org.eclipse.swt.custom

# Interface CaretListener

All Superinterfaces:
  `EventListener`, `SWTEventListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface CaretListener extends SWTEventListener
This listener interface may be implemented in order to receive CaretEvents.

Since:
  3.5
See Also:
  - `CaretEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`caretMoved(CaretEvent event)`
This method is called after the caret offset is changed.

## Method Details

### caretMoved

void caretMoved(CaretEvent event)
This method is called after the caret offset is changed. The following event fields are used:

- event.caretOffset the new caret offset (input)

Parameters:
  `event` - the given event
See Also:
  - `CaretEvent`